summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-12-10 01:02:01 +0000
committerZac Medico <zmedico@gentoo.org>2009-12-10 01:02:01 +0000
commita6de04e2e0daa4c2697ecb9d11f6adaf8bbf63f2 (patch)
treead0477526b6e30b54052d10d405f556c5c883e94 /bin
parent780f07a62b0d873757085593f0a40225507aa0b7 (diff)
downloadportage-a6de04e2e0daa4c2697ecb9d11f6adaf8bbf63f2.tar.gz
portage-a6de04e2e0daa4c2697ecb9d11f6adaf8bbf63f2.tar.bz2
portage-a6de04e2e0daa4c2697ecb9d11f6adaf8bbf63f2.zip
Bump EAPI conditionals to account for rename of EAPI 3 to 4. Thanks to
Jonathan Callen <abcd@g.o> for this patch. (trunk r14965) svn path=/main/branches/2.1.7/; revision=14999
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ebuild-helpers/doins2
-rwxr-xr-xbin/ebuild-helpers/newins2
-rwxr-xr-xbin/ebuild.sh26
-rwxr-xr-xbin/isolated-functions.sh4
4 files changed, 17 insertions, 17 deletions
diff --git a/bin/ebuild-helpers/doins b/bin/ebuild-helpers/doins
index b5f00e8d8..c5e78d9c5 100755
--- a/bin/ebuild-helpers/doins
+++ b/bin/ebuild-helpers/doins
@@ -26,7 +26,7 @@ if [[ ${INSDESTTREE#${D}} != "${INSDESTTREE}" ]]; then
fi
case "$EAPI" in
- 0|1|2)
+ 0|1|2|3)
PRESERVE_SYMLINKS=n
;;
*)
diff --git a/bin/ebuild-helpers/newins b/bin/ebuild-helpers/newins
index d15006d02..d66e0599a 100755
--- a/bin/ebuild-helpers/newins
+++ b/bin/ebuild-helpers/newins
@@ -15,7 +15,7 @@ fi
rm -rf "${T}/${2}" || exit $?
case "$EAPI" in
- 0|1|2)
+ 0|1|2|3)
cp "$1" "$T/$2" || exit $?
;;
*)
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index c4b9c7b0b..d5d654b40 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -144,7 +144,7 @@ useq() {
# Skip this for older EAPIs since lots of ebuilds/eclasses
# have stuff in global scope that really belongs somewhere
# like pkg_setup or src_configure.
- if [[ -n $EAPI ]] && ! hasq "$EAPI" 0 1 2 ; then
+ if [[ -n $EAPI ]] && ! hasq "$EAPI" 0 1 2 3 ; then
die "use() called during invalid phase: $EBUILD_PHASE"
fi
@@ -439,7 +439,7 @@ unpack() {
_unpack_tar lzma
;;
xz)
- if hasq $eapi 0 1 2 ; then
+ if hasq $eapi 0 1 2 3 ; then
vecho "unpack ${x}: file format not recognized. Ignoring."
else
_unpack_tar xz
@@ -501,7 +501,7 @@ econf() {
fi
# EAPI=3 adds --disable-dependency-tracking to econf
- if ! hasq "$EAPI" 0 1 2 ; then
+ if ! hasq "$EAPI" 0 1 2 3 ; then
set -- --disable-dependency-tracking "$@"
fi
@@ -648,7 +648,7 @@ _eapi2_src_compile() {
fi
}
-_eapi3_src_install() {
+_eapi4_src_install() {
if [[ -f Makefile || -f GNUmakefile || -f makefile ]] ; then
emake DESTDIR="${D}" install
fi
@@ -912,7 +912,7 @@ dyn_prepare() {
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2; then
+ elif hasq $EAPI 0 1 2 3; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to prepare; then
cd "${WORKDIR}"
@@ -943,7 +943,7 @@ dyn_configure() {
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2; then
+ elif hasq $EAPI 0 1 2 3; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to configure; then
cd "${WORKDIR}"
@@ -976,7 +976,7 @@ dyn_compile() {
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2; then
+ elif hasq $EAPI 0 1 2 3; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to compile; then
cd "${WORKDIR}"
@@ -1053,7 +1053,7 @@ dyn_install() {
mkdir "${PORTAGE_BUILDDIR}/image"
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2; then
+ elif hasq $EAPI 0 1 2 3; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to install; then
cd "${WORKDIR}"
@@ -1407,7 +1407,7 @@ _ebuild_arg_to_phase() {
case "$arg" in
pretend)
- ! hasq $eapi 0 1 2 && \
+ ! hasq $eapi 0 1 2 3 && \
phase_func=pkg_pretend
;;
setup)
@@ -1503,8 +1503,8 @@ _ebuild_phase_funcs() {
declare -F src_compile >/dev/null || \
src_compile() { _eapi2_src_compile "$@" ; }
- [[ $eapi == 2 ]] || declare -F src_install >/dev/null || \
- src_install() { _eapi3_src_install "$@" ; }
+ has $eapi 2 3 || declare -F src_install >/dev/null || \
+ src_install() { _eapi4_src_install "$@" ; }
if hasq $phase_func $default_phases ; then
@@ -1859,7 +1859,7 @@ if ! hasq "$EBUILD_PHASE" clean cleanrm ; then
[[ -n $EAPI ]] || EAPI=0
- if has "$EAPI" 0 1 2 ; then
+ if has "$EAPI" 0 1 2 3 ; then
export RDEPEND=${RDEPEND-${DEPEND}}
debug-print "RDEPEND: not set... Setting to: ${DEPEND}"
fi
@@ -1879,7 +1879,7 @@ if ! hasq "$EBUILD_PHASE" clean cleanrm ; then
pkg_nofetch pkg_postinst pkg_postrm pkg_preinst pkg_prerm
pkg_setup src_test src_unpack"
;;
- 2)
+ 2|3)
_valid_phases="src_compile pkg_config src_configure pkg_info
src_install pkg_nofetch pkg_postinst pkg_postrm pkg_preinst
src_prepare pkg_prerm pkg_setup src_test src_unpack"
diff --git a/bin/isolated-functions.sh b/bin/isolated-functions.sh
index 9741419b6..a557d9fd9 100755
--- a/bin/isolated-functions.sh
+++ b/bin/isolated-functions.sh
@@ -54,7 +54,7 @@ dump_trace() {
}
nonfatal() {
- if has "${EAPI:-0}" 0 1 2; then
+ if has "${EAPI:-0}" 0 1 2 3; then
die "$FUNCNAME() not supported in this EAPI"
fi
if [[ $# -lt 1 ]]; then
@@ -515,7 +515,7 @@ save_ebuild_env() {
for x in pkg_setup pkg_nofetch src_unpack src_prepare src_configure \
src_compile src_test src_install pkg_preinst pkg_postinst \
pkg_prerm pkg_postrm ; do
- unset -f default_$x _eapi{0,1,2}_$x
+ unset -f default_$x _eapi{0,1,2,3,4}_$x
done
unset x